(function($) {
	$(document).ready(function() {
		$.get(TYPO3.settings.ajaxUrls['sg_news::ajaxPing']);
		$('#filter-reset-btn').on('click', function(event) {
			event.preventDefault();
			this.form.reset();
			$(this).closest('form').find('select').val('');
			$('#filter-search').val('');
			this.form.submit();
		});
	});
})(TYPO3.jQuery);

// functions for backend docheader functionality
function jumpExt(URL, anchor) {    //
	var anc = anchor ? anchor : "";
	window.location.href = URL + (T3_THIS_LOCATION ? "&returnUrl=" + T3_THIS_LOCATION : "") + anc;
	return false;
}

function jumpSelf(URL) {    //
	window.location.href = URL + (T3_RETURN_URL ? "&returnUrl=" + T3_RETURN_URL : "");
	return false;
}

function jumpToUrl(URL) {
	window.location.href = URL;
	return false;
}

function setHighlight(id) {    //
	top.fsMod.recentIds["web"] = id;
	top.fsMod.navFrameHighlightedID["web"] = "pages" + id + "_" + top.fsMod.currentBank;    // For highlighting
	if (top.content && top.content.nav_frame && top.content.nav_frame.refresh_nav) {
		top.content.nav_frame.refresh_nav();
	}
}

/**
 * Switches to the spefied page in the BE
 *
 * @param {number} uid
 * @param {string} path
 */
function sgNewsGoToPage(uid, path, selectOnly) {
	parent.fsMod.recentIds['web'] = uid;
	if(typeof selectOnly === 'undefined') {
		selectOnly = false;
	}
	selectOnly = Boolean(selectOnly);
	if (top.nav) {
		if (selectOnly) {
			top.nav.invokePageId(uid, gotToPageCallbackNoFollow);
		} else {
			top.nav.invokePageId(uid, gotToPageCallback);
		}
	} else {
		var tree = top.Ext.getCmp('typo3-pagetree');
		if (tree) {
			tree.activeTree.selectPath(path);
		}
		if (selectOnly) {
			return;
		}
		var separator = '?';
		if (top.currentSubScript.indexOf('?') !== -1) {
			separator = '&';
		}
		top.TYPO3.Backend.ContentContainer.setUrl(
			top.currentSubScript + separator + 'id=' + uid
		);
	}
}


/**
 * Callback for page selection in the pagetree without follow
 */
function gotToPageCallbackNoFollow(path){
	var callback = top.Ext.createDelegate(top.nav.mainTree.selectPath, top.nav.mainTree);
	callback.apply(this, arguments);
}


/**
 * Callback for page selection in the pagetree
 */
function gotToPageCallback(path){
	var callback = top.Ext.createDelegate(top.nav.mainTree.selectPath, top.nav.mainTree);
	callback.apply(this, arguments);
	var node = top.nav.getSelected();
	if (node) {
		top.TYPO3.Components.PageTree.Actions.singleClick(node, top.TYPO3.Components.PageTree.Tree);
	}
}

function sgNewsGoToPageModule(uid, path) {
	sgNewsGoToPage(uid, path, true);
	parent.TYPO3.ModuleMenu.App.showModule('web_layout');
	return false;
}
