/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

var SG = SG || {};

SG.TabListener = function() {
	this.initialize();
};

SG.TabListener.prototype = {
	/**
	 * @var {int|null} intervalCall
	 */
	intervalCall: null,

	/**
	 * Jumps to the best tab if a tab hash is set
	 *
	 * @return {void}
	 */
	initialize: function() {
		this.checkAndSwitchActiveTab();
		this.intervalCall = setInterval(this.checkAndSwitchActiveTab, 600);
		$('[data-toggle="tab"]').click(this.handleTabClick);
	},

	/**
	 * Checks the segment of the url and activates another tab if requested
	 */
	checkAndSwitchActiveTab: function() {
		var $tabLink = $('a[href$="' + location.hash + '"]');
		if ($tabLink.length && $tabLink.tab) {
			$tabLink.tab('show');
		}
	},

	/**
	 * Changes the url on tab click
	 */
	handleTabClick: function() {
		var tab = $(this);
		location.href = tab.attr('href');
	}
};

$(document).ready(function() {
	(new SG.TabListener());
});
